View Issue Details

IDProjectCategoryView StatusLast Update
1877HdsDataGeneralPublicJun 19th 2024 5:40 AM
ReporterNBug Reporter Assigned To 
Priority NormalSeverityCrashReproducibilityHave Not Tried
Status ArchivedResolutionDuplicate 
ProjectionNoneETANone 
PlatformWin32NTOSMicrosoft Windows NT 6.2.9200.0OS Version6.2.9200.0
Product Version1.23.0.6 
Summary1877: Could not lock file. @ DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine
Description
<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <ErrorCode>-2146825238</ErrorCode>
    <HResult>-2146825238</HResult>
  </ExtendedInformation>
  <HelpLink>jeterr40.chm#5003050</HelpLink>
  <InnerExceptions />
  <Message>Could not lock file.</Message>
  <Source>DAO.Workspace</Source>
  <StackTrace>   at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
   at HdsDB.clsTitleResource.TitlesArray(TileResourceEnum avTitleEnum)</StackTrace>
  <TargetSite>DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine</TargetSite>
  <Type>System.Runtime.InteropServices.COMException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>6/13/2024 1:49:39 AM</DateTime>
    <ExceptionMessage>Could not lock file.</ExceptionMessage>
    <ExceptionType>System.Runtime.InteropServices.COMException</ExceptionType>
    <HostApplication>HN32-PetroCalc.exe</HostApplication>
    <HostApplicationVersion>1.23.0.6</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>DAO.Database OpenDatabase(System.String, System.Object, System.Object, System.Object) @ DAO._DBEngine</TargetSite>
  </GeneralInfo>
</Report>
TagsBug, Crash, NBug
Attached Files
Exception_133627169878849768.zip (19,037,454 bytes)

Zip Contents

  • Exception.xml (1,219 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <ParamName>Argument 'Array' is Nothing.</ParamName>
        <HResult>-2147467261</HResult>
      </ExtendedInformation>
      <Message>Value cannot be null.
    Parameter name: Argument 'Array' is Nothing.</Message>
      <Source>Microsoft.VisualBasic</Source>
      <StackTrace>   at Microsoft.VisualBasic.Information.UBound(Array Array, Int32 Rank)
       at HdsNT.clsInitUserControls.InitSwControls(uctlSingleCombo&amp; WatSatEquationGrp, uctlMulti&amp; SwnSldGrp, uctlSingleCombo&amp; FFEquaComboGrp, uctlDualParameters&amp; FFaAndm, uctlRfAndTemp&amp; RwBoreholeGrp, uctlRfAndTemp&amp; RwRefGrp, uctlOptions&amp; PermOptionsGrp, uctlMulti&amp; PermConstSldGrp, uctlMulti&amp; PermSwirrGrp, uctlCurveOrOther&amp; RwSourceGrp, uctlMulti&amp; TDTMatrixGrp, uctlMulti&amp; TDTWaterGrp, uctlMulti&amp; TDTHydrocarbonGrp, uctlMulti&amp; TDTLimitVshGrp, uctlMulti&amp; TDTLimitPhiGrp)</StackTrace>
      <TargetSite>Int32 UBound(System.Array, Int32) @ Microsoft.VisualBasic.Information</TargetSite>
      <Type>System.ArgumentNullException</Type>
    </SerializableException>
      
  • Report.xml (706 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>6/13/2024 1:49:47 AM</DateTime>
        <ExceptionMessage>Value cannot be null.
    Parameter name: Argument 'Array' is Nothing.</ExceptionMessage>
        <ExceptionType>System.ArgumentNullException</ExceptionType>
        <HostApplication>HN32-PetroCalc.exe</HostApplication>
        <HostApplicationVersion>1.23.0.6</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>Int32 UBound(System.Array, Int32) @ Microsoft.VisualBasic.Information</TargetSite>
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (922,122 bytes)
  • files/HDS.Net.Info.lic (584 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>48ccceaf-f4cf-4786-920c-f35a5247ee6c</Key>
      <IssueDate>2024-04-25T00:00:00</IssueDate>
      <ExpireDate>2025-05-01T00:00:00</ExpireDate>
      <IssuedTo>Probe</IssuedTo>
      <Company>Probe</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - AS</IssuedBy>
      <Copies>4</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (9,825,993 bytes)
  • files/Data/SOCAR_1160/SOCAR_1160.mdb (18,565,120 bytes)
  • files/HDS.Net.Info.lic (584 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>48ccceaf-f4cf-4786-920c-f35a5247ee6c</Key>
      <IssueDate>2024-04-25T00:00:00</IssueDate>
      <ExpireDate>2025-05-01T00:00:00</ExpireDate>
      <IssuedTo>Probe</IssuedTo>
      <Company>Probe</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - AS</IssuedBy>
      <Copies>4</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (9,825,993 bytes)
  • files/Data/SOCAR_1160/SOCAR_1160.mdb (18,565,120 bytes)

Installation Type

Relationships

duplicate of 1876 AssignedTravis Herzog Cross Section Database access is not properly closed, which causes other applications to crash 

Activities